configureIntegration

An integration can call this endpoint to configure itself

POST/v1/chat/integrations/configure

Authorization

AuthorizationBearerrequired
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Header parameters

x-bot-idstringrequired
Bot id
x-integration-idstring
Integration id
x-integration-aliasstring
Integration alias

Request body

Configuration of the integration

identifierstring | null
Unique identifier of the integration that was installed on the bot(max length: 200)
scheduleRegisterCallenum<string>
Recurring schedule on which register() will be called on the integration
Available options:hourly,daily,weekly,bi-weekly,monthly,bi-monthly,quarterly,yearly
sandboxIdentifiersobject | null
**EXPERIMENTAL** Sandbox identifiers for the integration. Setting this to null will remove all sandbox identifiers. This is an experimental feature meant to be used by specific integrations.

Response

application/json

Configuration of the integration

The response is of type configureIntegrationResponse · object.